Bug Hunting Session
Bug 33070 - LibreOffice should use flags to track blockers
Summary: LibreOffice should use flags to track blockers
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-13 10:01 UTC by Frédéric Buclin
Modified: 2013-06-01 10:38 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Buclin 2011-01-13 10:01:35 UTC
I was reading http://wiki.documentfoundation.org/Release_Criteria#Blocker_Bug_Nomination and noted that the way to track blockers is to add bugs to the dependency list of bug 31865. This IMO makes it hard to track nominations versus confirmed blockers. Also, you cannot easily display all blockers as a buglist.

What we do at Mozilla is to use flags to track them. For instance https://bugzilla.mozilla.org/show_bug.cgi?id=605425 shows that this bug was blocking the release of Bugzilla 4.0, but not of Bugzilla 3.6.3.

There are several advantages to use flags over dependencies:
- You can set which group of users is allowed to set the flag to + and -, meaning that only allowed leaders can set them, if you want to (this avoids abuse, or an unauthorized or upset user to mess with them). This doesn't prevent other users to nominate the flag to ?.

- The name of the user who set the flag to ?, + and - appears in front of the flag, which helps track who took the decision, or who nominated the bug.

- When a flag is set, an email is automatically sent to users of your choice, even if these users aren't watching this bug specifically. This helps to get notifications.

- Flags can be used as search criteria, meaning that you could e.g. display all bugs blocking some given LibreOffice release, or combine this critera with several others.

- All flags types are independant and per-product (and even per-component), meaning that setting flags for the LibreOffice product on f.d.o Bugzilla won't appear in the UI of other products, to avoid messing with other people's stuff.


In case you are interested in using flags and need help to configure them, I can definitely help (being myself a Bugzilla developer).
Comment 1 Björn Michaelsen 2011-12-23 11:51:53 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 retired 2013-06-01 10:38:54 UTC
Hi Frédéric, thanks for taking the time to post this improvement suggestion.

Talked to Jorendc in QA. We agreed that, despite this being a very nice feature, there's not too much improvement for the LO project. There's been very few release blocker bugs overall.

The "depends on" and "blocker" status as well as the MAB (most annoying bugs) system is currently sufficient. Also the team managing the FDO development is very busy already.

Thus setting this to WONTFIX.